#!/usr/bin/env bash -x

export CC=/home/rob/devel/depends/rpi-tools/arm-bcm2708/gcc-linaro-arm-linux-gnueabihf-raspbian-x64/bin/arm-linux-gnueabihf-gcc
export PKG_CONFIG_PATH=/home/rob/pbb/rpi/depends-install/lib/pkgconfig
PREFIX=/home/rob/pbb/rpi/depends-install 

if [ -z "/home/rob/devel/p/cmake/toolchain.rpi.cmake" ]; then
  export CFLAGS="-I/home/rob/pbb/rpi/depends-install/include"
  export LDFLAGS="-L/home/rob/pbb/rpi/depends-install/lib"
  export LIBS=""
  HOST_ARG=""

else
  export CFLAGS="-I/home/rob/pbb/rpi/depends-install/include -I/home/rob/pbb/rpi/sysroot-install/rootfs/usr/include -I/home/rob/pbb/rpi/sysroot-install/rootfs/usr/include/dbus-1.0 -I/home/rob/pbb/rpi/sysroot-install/rootfs/usr/lib/arm-linux-gnueabihf/dbus-1.0/include -I/home/rob/pbb/rpi/sysroot-install/rootfs/opt/vc/include -I/home/rob/pbb/rpi/sysroot-install/rootfs/opt/vc/include/interface/vcos/pthreads -I/home/rob/pbb/rpi/sysroot-install/rootfs/opt/vc/include/interface/vmcs_host/linux"
  export LDFLAGS="-L/home/rob/pbb/rpi/sysroot-install/rootfs/usr/lib/arm-linux-gnueabihf -L/home/rob/pbb/rpi/sysroot-install/rootfs/opt/vc/lib -L/home/rob/pbb/rpi/depends-install/lib"
  export DSOFLAGS="${LDFLAGS}"
  export LIBS=""
#  export PKG_CONFIG_PATH="/home/rob/pbb/rpi/sysroot-install/rootfs/usr/lib/arm-linux-gnueabihf/pkgconfig"
  HOST_ARG="--host=armv7l-raspberry-linux-gnueabihf"
fi

./configure --with-sysroot=/home/rob/pbb/rpi/sysroot-install/rootfs --prefix=${PREFIX} ${HOST_ARG} --enable-static --enable-video-opengles --disable-pulseaudio --disable-esd --disable-video-mir --disable-video-wayland --disable-video-x11 --disable-video-opengl --with-x=no --disable-ime
  

 
